using System;

internal sealed class Delegate766 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate766 delegate766_1)
	{
		return delegate766_1(object_0);
	}

	public extern Delegate766(object object_0, IntPtr intptr_0);

	static Delegate766()
	{
		Class10.smethod_13(typeof(Delegate766).TypeHandle);
	}

	internal static Delegate766 delegate766_0;
}
